Atom package crash on Windows 10. #402

Open
ole3021 opened this Issue Oct 12, 2015 · 3 comments

Projects

None yet

2 participants

@ole3021
ole3021 commented Oct 12, 2015

during i install the js2coffee package the error happens all the time , and have no idea what's the cyclic.js.

Installing “js2coffee@0.15.0” failed.Hide output…

> js2coffee@0.2.7 preinstall C:\Users\LAI-ZE~1.WAN\AppData\Local\Temp\apm-install-dir-115912-22356-17ccb46\node_modules\js2coffee\node_modules\js2coffee
> npm run-script ./cyclic.js


npm ERR! Windows_NT 10.0.10240
npm ERR! argv "D:\\Related\\NodeJS\\node.exe" "D:\\Related\\NodeJS\\node_modules\\npm\\bin\\npm-cli.js" "run-script" "./cyclic.js"
npm ERR! node v4.1.2
npm ERR! npm  v2.14.4

npm ERR! missing script: ./cyclic.js
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR!     C:\Users\LAI-ZE~1.WAN\AppData\Local\Temp\apm-install-dir-115912-22356-17ccb46\node_modules\js2coffee\node_modules\js2coffee\npm-debug.log
npm ERR! Windows_NT 6.2.9200
npm ERR! argv "C:\\Users\\lai-ze.wang\\AppData\\Local\\atom\\app-1.0.19\\resources\\app\\apm\\bin\\node.exe" "C:\\Users\\lai-ze.wang\\AppData\\Local\\atom\\app-1.0.19\\resources\\app\\apm\\node_modules\\npm\\bin\\npm-cli.js" "--globalconfig" "C:\\Users\\lai-ze.wang\\.atom\\.apm\\.apmrc" "--userconfig" "C:\\Users\\lai-ze.wang\\.atom\\.apmrc" "install" "C:\\Users\\LAI-ZE~1.WAN\\AppData\\Local\\Temp\\d-115912-22356-5d1zym\\package.tgz" "--target=0.30.7" "--arch=ia32"
npm ERR! node v0.10.40
npm ERR! npm  v2.13.3
npm ERR! code ELIFECYCLE

npm ERR! js2coffee@0.2.7 preinstall: `npm run-script ./cyclic.js`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the js2coffee@0.2.7 preinstall script 'npm run-script ./cyclic.js'.
npm ERR! This is most likely a problem with the js2coffee package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     npm run-script ./cyclic.js
npm ERR! You can get their info via:
npm ERR!     npm owner ls js2coffee
npm ERR! There is likely additional logging output above.
@rstacruz
Member

That looks like a very old version of js2coffee. Can you try it with the new 2.x version?

@ole3021
ole3021 commented Oct 13, 2015

I have notice that, i don't know why, when i search the package through atom install i just find out this one.
my atom have been updated to the last version 1.0.19.

could please check if have some thing wrong with the updating, or it's my own problem ...

@rstacruz
Member

i guess the atom plugin hasn't been updated.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment